import QtQuick
import QtQuick.Controls

Page {
  id: root
  header: ToolBar {
    Label {
      text: qsTr("Olympia 2024 Events")
      font.pixelSize: 20
      anchors.centerIn: parent
    }
  }

  ListView {
    id: listView
    anchors.fill: parent
    topMargin: 48
    leftMargin: 48
    bottomMargin: 48
    rightMargin: 48
    spacing: 20
    model: sports
    delegate: ItemDelegate {
      required property string eventName
      required property list<string> competitors
      text: eventName
      width: listView.width - listView.leftMargin - listView.rightMargin
      height: avatar.implicitHeight + 32
      leftPadding: avatar.implicitWidth + 32
      onClicked: root.StackView.view.push("EventInfoPage.qml", { eventName, competitors })

      Image {
        id: avatar
        // source: "images/" + modelData.replace(" ", "_") + ".png"
      }
    }
  }
}

